> ## Documentation Index
> Fetch the complete documentation index at: https://docs.driver.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Browser Session

> Update an existing browser session. Currently supports updating the session note.



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/browser/session
openapi: 3.0.0
info:
  version: 1.0.0
  title: Driver API
  description: API for creating Driver browser sessions and scraping pages.
  contact:
    name: Contact Us
    email: hello@driver.dev
    url: https://driver.dev
servers:
  - url: https://api.driver.dev
security: []
externalDocs:
  description: Learn more
  url: https://docs.driver.dev
paths:
  /v1/browser/session:
    patch:
      summary: Update Browser Session
      description: >-
        Update an existing browser session. Currently supports updating the
        session note.
      operationId: updateBrowserSession
      parameters:
        - schema:
            type: string
            example: example-session-id
            description: The ID of the browser session to update.
          required: true
          description: The ID of the browser session to update.
          name: sessionId
          in: query
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                note:
                  type: string
                  maxLength: 256
                  description: A note to attach to the session. Maximum 256 characters.
                  example: Scraping product pages for client X
              required:
                - note
        required: false
      responses:
        '200':
          description: Successfully updated browser session.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates whether the session was successfully updated.
                required:
                  - success
        '401':
          description: Missing or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                required:
                  - error
        '404':
          description: Browser session not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Session not found
                    example: Session not found
                required:
                  - error
        '500':
          description: Failed to update browser session.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                required:
                  - error
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: Your Driver API key. Get one at https://app.driver.dev

````